Bug 1008639 - oo-frontend-plugin-modify --rebuild can't be used for plugin switch
oo-frontend-plugin-modify --rebuild can't be used for plugin switch
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
high Severity high
: ---
: ---
Assigned To: Rob Millner
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-16 13:59 EDT by Rob Millner
Modified: 2015-05-14 19:28 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-17 09:28:58 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rob Millner 2013-09-16 13:59:17 EDT
Description of problem:

The current workflow to swap modules does not preserve aliases, idler state, etc...

Switch back to save and restore.
Comment 2 openshift-github-bot 2013-09-17 16:40:35 EDT
Commit pushed to master at https://github.com/openshift/origin-server

https://github.com/openshift/origin-server/commit/51ffbc33ea5313eac0a04b78c8fa9faed8d1aca7
Bug 1008639 - the restore operation is required to put aliases and idler state back.
Comment 3 Meng Bo 2013-09-23 04:17:29 EDT
Checked on devenv_3810, frontend info for gear with alias added and gear with idle state can be saved and restored.

After restore, the alias still works and the idle gears keep their state.

Note You need to log in before you can comment on or make changes to this bug.